/*
 *  step_theme_pix.c:	ColorStep pixmaps. 
 *
 *  Written by:		Pierre Baillargeon
 *
 *  Copyright (C) 2000 Pierre Baillargeon <pierreba@globetrotter.net>
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
 */


/* pixmaps and mask  */

/* XPM */
char *color_step_radio_off[] = {
/* width height num_colors chars_per_pixel */
"    16    16        6            1",
/* colors */
"  c None",
". c #000000",
"# c #505450",
"a c #a8a8a8",
"b c #f8fcf8",
"c c #5275b4",
/* pixels */
"     #####      ",
"   ##.....##    ",
"  #..cccccaa#   ",
" #.#cccccccaaa  ",
" #.cccccccccaa  ",
"#.acccccccccaab ",
"#.accccccccccab ",
"#.accccccccccab ",
"#.accccccccccab ",
"#.accccccccccab ",
" ##cccccccccab  ",
" #aaccccccccab  ",
"  #aacccccaab   ",
"    baaaaabb    ",
"     bbbbb      ",
"                "
};

char *color_step_radio_off_prelight[] = {
/* width height num_colors chars_per_pixel */
"    16    16        6            1",
/* colors */
"  c None",
". c #000000",
"# c #505450",
"a c #a8a8a8",
"b c #f8fcf8",
"c c #f6d610",
/* pixels */
"     bbbbb      ",
"   bbbaaaaab    ",
"  bbacccccca#   ",
" baccccccccca#  ",
" baccccccccc##  ",
"baccccccccccc.# ",
"baccccccccccc.# ",
"baccccccccccc.# ",
"baccccccccccc.# ",
"baccccccccccc.# ",
" aaccccccccc.#  ",
" aacccccccc#.#  ",
"  #acccccc..#   ",
"   ##.....##    ",
"     #####      ",
"                "
};

char *color_step_radio_off_disabled[] = {
/* width height num_colors chars_per_pixel */
"    16    16        6            1",
/* colors */
"  c None",
". c #000000",
"# c #505450",
"a c #a8a8a8",
"b c #f8fcf8",
"c c #bcbcbc",
/* pixels */
"     #####      ",
"   ##.....##    ",
"  #..cccccaa#   ",
" #.#cccccccaaa  ",
" #.cccccccccaa  ",
"#.acccccccccaab ",
"#.accccccccccab ",
"#.accccccccccab ",
"#.accccccccccab ",
"#.accccccccccab ",
" ##cccccccccab  ",
" #aaccccccccab  ",
"  #aacccccaab   ",
"    baaaaabb    ",
"     bbbbb      ",
"                "
};

/* XPM */
char *color_step_radio_on[] = {
/* width height num_colors chars_per_pixel */
"    16    16        6            1",
/* colors */
"  c None",
". c #000000",
"# c #505450",
"a c #a8a8a8",
"b c #f8fcf8",
"c c #f6d610",
/* pixels */
"     #####      ",
"   ##.....##    ",
"  #..cccccaa#   ",
" #.#cccccccaaa  ",
" #.cc..cccccaa  ",
"#.acc....cccaab ",
"#.acc......ccab ",
"#.acc.......cab ",
"#.acc......ccab ",
"#.acc....ccccab ",
" ##cc..cccccab  ",
" #aaccccccccab  ",
"  #aacccccaab   ",
"    baaaaabb    ",
"     bbbbb      ",
"                "
};

/* XPM */
char *color_step_radio_on_disabled[] = {
/* width height num_colors chars_per_pixel */
"    16    16        6            1",
/* colors */
"  c None",
". c #000000",
"# c #505450",
"a c #a8a8a8",
"b c #f8fcf8",
"c c #bcbcbc",
/* pixels */
"     #####      ",
"   ##.....##    ",
"  #..cccccaa#   ",
" #.#cccccccaaa  ",
" #.cc..cccccaa  ",
"#.acc....cccaab ",
"#.acc......ccab ",
"#.acc.......cab ",
"#.acc......ccab ",
"#.acc....ccccab ",
" ##cc..cccccab  ",
" #aaccccccccab  ",
"  #aacccccaab   ",
"    baaaaabb    ",
"     bbbbb      ",
"                "
};

/* XPM */
char *color_step_radio_on_prelight[] = {
/* width height num_colors chars_per_pixel */
"    16    16        6            1",
/* colors */
"  c None",
". c #000000",
"# c #505450",
"a c #a8a8a8",
"b c #f8fcf8",
"c c #f6d610",
/* pixels */

"     bbbbb      ",
"   bbbaaaaab    ",
"  bbacccccca#   ",
" baccccccccca#  ",
" bacc..ccccc##  ",
"baccc....cccc.# ",
"baccc......cc.# ",
"baccc.......c.# ",
"baccc......cc.# ",
"baccc....cccc.# ",
" aacc..ccccc.#  ",
" aacccccccc#.#  ",
"  #acccccc..#   ",
"   ##.....##    ",
"     #####      ",
"                "
};

/* XPM */
char *color_step_radio_s_off[] = {
/* width height num_colors chars_per_pixel */
"        8        8     6       1",
/* colors */
"  c None",
". c #000000",
"# c #505450",
"a c #a8a8a8",
"b c #f8fcf8",
"c c #5275b4",
/* pixels */
"  ####  ",
" ###c#a ",
"##cccc#a",
"##cccca#",
"##cccc#a",
"##cccca#",
" a#c#a# ",
"  a#a#  "
};

/* XPM */
char *color_step_radio_s_on[] = {
/* width height num_colors chars_per_pixel */
"        8        8     6       1",
/* colors */
"  c None",
". c #000000",
"# c #505450",
"a c #a8a8a8",
"b c #f8fcf8",
"c c #f6d610",
/* pixels */
"  ####  ",
" ##cc#a ",
"##.cccba",
"#c...ccb",
"#c.....b",
"#c...ccb",
" b.cccb ",
"  bbbb  "
};


/* XPM */
char *check_on[] = {
/* width height num_colors chars_per_pixel */
"    9    10        4            1",
/* colors */
". c #000000",
"# c #505450",
"a c None",
"b c #f8fcf8",
/* pixels */
"aaaaaaaa.",
"aaaaaaa..",
"aaaaaa...",
"aaaaa...a",
"..aa...aa",
"......aaa",
".....aaaa",
"....aaaaa",
"...aaaaaa",
"..aaaaaaa",
};
